#!/usr/bin/perl
use Test::More tests => 7;
use POWER::Epoll;
use Errno;
no warnings 'once';
require "t/init";

open NULL, '> /dev/null' or die $!;
is(epoll_add($epfd, fileno(NULL), EPOLLET|EPOLLOUT), undef, 'add NULL');
ok($!{EPERM}, 'errno = EPERM');

is(epoll_add($epfd, $epfd, EPOLLET|EPOLLIN), undef, 'add epfd');
ok($!{EINVAL}, 'errno = EINVAL');

